For the complete documentation index, see llms.txt. This page is also available as Markdown.

Linkroles

OpenAPI V2

Get linkroles defined in the extension taxonomy

get
Authorizations
AuthorizationstringRequired

Please enter token

Path parameters
idstringRequired

Id of file used in caching and extracting to then retrieve linkroles from the extracted file

Query parameters
fileTypestringOptional

Extension taxonomy file type. Allowed filetypes: ".zip", ".xbri", ".xbr"

Header parameters
x-api-versionstringRequired
ApplicationNameanyOptional

Name of the application to integrates with API’s to Semansys.Next.

PartnerNameanyOptional

Contract owner (organization) name that have embedded the API’s.

PartnerIDanyOptional

Business Identification Number (BIN) of the contract owner (organization) to embeds the API’s.

CustomerNameanyOptional

Customer (organization) name (ie. accounting firm, intermediary, ....).

CustomerIDanyOptional

Business Identification Number (BIN) of the customer.

ClientNameanyOptional

Client (organization) name of the customer of the accounting firm, intermediary...

ClientIDanyOptional

Business Identification Number (BIN) of the client.

Responses
200

OK

application/json
countinteger · int32Optional
taxonomyLinkRolesstring[] · nullableOptional
get/taxonomy/extension/{id}/linkroles
GET /taxonomy/extension/{id}/linkroles HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
x-api-version: text
Accept: */*
{
  "count": 1,
  "taxonomyLinkRoles": [
    "text"
  ]
}

Was this helpful?